Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Argv_Type_Converter Class Reference

To convert 'char' input/command line parameter to 'wchar_t'. More...

`#include <Argv_Type_Converter.h>`

List of all members.

## Public Methods
| ACE_Argv_Type_Converter (int &argc, char **argv)
| ~ACE_Argv_Type_Converter (void)
ACE_TCHAR ** | get_TCHAR_argv (void)
| Returns the pointer of converted command line.
char ** | get_ASCII_argv (void)
| Returns the pointer of ASCII (char) command line.
int & | get_argc (void)
| Returns the number of sub paramters (argc).
## Private Methods
| ACE_Argv_Type_Converter (const ACE_Argv_Type_Converter &)
| Copy Constructor should not be used.
ACE_Argv_Type_Converter | operator= (const ACE_Argv_Type_Converter &)
| Assignment '=' operator should not be used.
## Private Attributes
int & | saved_argc_
| Original number of input paramter, same as 'argc'.
char ** | char_argv_
| Data member pointer that contains converted argv in ACE_ANTI_TCHAR.

## Detailed Description

To convert 'char' input/command line parameter to 'wchar_t'.

This class is to convert 'char' type command line paramter to wide-character (wchar_t) format and stores the copy of it. This is useful for all classes that use 'char**' argv but cannot be converted into 'ACE_TCHAR**' version. Note that the converted data will be lost upon destruction, so classes should use this class as their data member.

## Constructor & Destructor Documentation

ACE_Argv_Type_Converter::ACE_Argv_Type_Converter | ( | int & | argc,
|  | char ** | argv
| ) |

ACE_Argv_Type_Converter::~ACE_Argv_Type_Converter | ( | void |  | ) |

ACE_Argv_Type_Converter::ACE_Argv_Type_Converter | ( | const ACE_Argv_Type_Converter & |  | ) | `[private]`

| Copy Constructor should not be used.

## Member Function Documentation

ACE_INLINE int & ACE_Argv_Type_Converter::get_argc | ( | void |  | ) |

| Returns the number of sub paramters (argc).

ACE_INLINE char ** ACE_Argv_Type_Converter::get_ASCII_argv | ( | void |  | ) |

| Returns the pointer of ASCII (char) command line.

ACE_INLINE ACE_TCHAR ** ACE_Argv_Type_Converter::get_TCHAR_argv | ( | void |  | ) |

| Returns the pointer of converted command line.

ACE_Argv_Type_Converter ACE_Argv_Type_Converter::operator= | ( | const ACE_Argv_Type_Converter & |  | ) | `[private]`

| Assignment '=' operator should not be used.

## Member Data Documentation

char** ACE_Argv_Type_Converter::char_argv_`[private]`

| Data member pointer that contains converted argv in ACE_ANTI_TCHAR.

int& ACE_Argv_Type_Converter::saved_argc_`[private]`

| Original number of input paramter, same as 'argc'.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Argv_Type_Converter.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Argv_Type_Converter.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Argv_Type_Converter.inl